Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.recordtype
Class CombineFlatRecordsFactoryAssembler

    java.lang.Object
      com.servingxml.components.flatfile.options.FlatFileOptionsFactoryAssembler
          com.servingxml.components.flatfile.recordtype.CombineFlatRecordsFactoryAssembler

    public class CombineFlatRecordsFactoryAssembler

extends FlatFileOptionsFactoryAssembler

The `FlatRecordTypeFactoryAssembler` implements an assembler for assembling flat file record type objects.

Constructor Summary
`CombineFlatRecordsFactoryAssembler()`

Method Summary
`RecordCombinationFactory` | `assemble(ConfigurationContext context)`
`void` | `injectComponent(FlatRecordTypeFactory dataRecordTypeFactory)`
`void` | `injectComponent(ParameterDescriptor[] parameterDescriptors)`
`void` | `injectComponent(VbsFlatRecordTypeFactory sdwRecordTypeFactory)`
`void` | `injectComponent(XsltConfiguration xsltConfiguration)`
`void` | `setEndTest(java.lang.String endTest)`
`void` | `setField(Name repeatingGroupFieldName)`
`void` | `setRecordType(java.lang.String recordTypeName)`
`void` | `setRepeatingGroup(Name repeatingGroupFieldName)`
`void` | `setStartTest(java.lang.String startTest)`

Methods inherited from class com.servingxml.components.flatfile.options.FlatFileOptionsFactoryAssembler
`assembleFlatFileOptions, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, setAlwaysQuote, setCountPositionsInBytes, setFlushRecordOnWrite, setIgnoreEmptyLines, setIgnoreTrailingEmptyLines, setIndexBase, setJustify, setLineDelimited, setOmitFinalFieldDelimiter, setOmitFinalRepeatDelimiter, setPadCharacter, setQuote, setTrim, setTrimLeading, setTrimLeadingWithinQuotes, setTrimQuoted, setTrimTrailing, setTrimTrailingWithinQuotes, setTrimWithinQuotes, setZeroBased`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CombineFlatRecordsFactoryAssembler

    public CombineFlatRecordsFactoryAssembler()

Method Detail

### setRecordType

    public void setRecordType(java.lang.String recordTypeName)

### setRepeatingGroup

    public void setRepeatingGroup(Name repeatingGroupFieldName)

### setField

    public void setField(Name repeatingGroupFieldName)

### setStartTest

    public void setStartTest(java.lang.String startTest)

### setEndTest

    public void setEndTest(java.lang.String endTest)

### injectComponent

    public void injectComponent(ParameterDescriptor[] parameterDescriptors)

### injectComponent

    public void injectComponent(VbsFlatRecordTypeFactory sdwRecordTypeFactory)

### injectComponent

    public void injectComponent(FlatRecordTypeFactory dataRecordTypeFactory)

### injectComponent

    public void injectComponent(XsltConfiguration xsltConfiguration)

### assemble

    public RecordCombinationFactory assemble(ConfigurationContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD